```markdown # When to use AI As an Australian software developer, DevOps expert and journalist who loves diving into tech topics with humor sprinkled throughout my writing (because why not?), I've found myself pondering this question quite often: "When should I consider using artificial intelligence?" Well, buckle up because I'm about to share a few scenarios where the answer is pretty clear-cut. ## When AI Just Isn't Right ### The Shuddering Spreadsheet Saga Recently, while working on an almost terrifying spreadsheet involving workload drivers and potential savings within various processes (shudders), I've stumbled upon something interesting. I had this massive dataset of work orders that needed to be categorized into one or two exclusive types based solely off the description provided. #### Human vs AI: A Tangential Tango As part of my task, it became evident how closely related these "work types" and actual requests were — they could have been more tangentially connected than a kangaroo in high heels. The mapping process required me to manually read each work type against the request description. Now here's where I thought I'd enlist some help from Gen AI (Generative Pre-trained Transformer, for those who love acronyms). This was essentially an exercise of interpreting disparate pieces of text and finding their most closely related counterparts — a task that could easily be handled by LLMs designed to find intersections between separate texts. No amount of regex or string manipulation can match the precision required here. #### Traditional Programming: The Unsung Hero But wait, there's more! Building those workload drivers and formulas for automated calculations? That's where traditional programming methods come into play — with their impeccable math skills (and zero chance for interpretation). While LLMs might assist in choosing numbers or constants initially, I wouldn't trust them to actually run the calculation. Their nature could potentially lead to some funky results. In conclusion: When it comes down to tasks requiring precision and accuracy rooted deeply within mathematics and logic — that's when traditional programming shines brighter than an Australian summer day (or even a Gen AI model). ## But Sometimes... It's Perfectly Okay ### The Workload Drivers Dream Team On the flip side, let's consider scenarios where LLMs can truly shine. Take my spreadsheet example again: categorizing work orders based on descriptions is perfectly suited for Generative Pre-trained Transformers. #### Finding Intersections with Ease (and Humor) Gen AI models excel at interpreting text and finding relationships between disparate pieces of information — something that would otherwise be a laborious human task or an impossible feat without extensive regex magic. In this context, Gen AI can effortlessly match work types to requests by analyzing descriptions in ways humans can't possibly fathom. #### Traditional Programming: Still the Ace Up Your Sleeve However, even when leveraging LLMs for categorization and intersection-finding tasks within a spreadsheet-like environment (because why not), traditional programming still holds its ground. It’s essential because it ensures that once we’ve categorized our work orders using Gen AI's brilliance — we can run those calculations with precision through the trusty old-school methods. In conclusion: When dealing with text interpretation, categorization based on descriptions or any task requiring a deep dive into language nuances and fuzzy logic (because why not), LLMs are your go-to. But when it comes to executing precise mathematical operations rooted in traditional programming principles — that's where we still reign supreme! ## So What's the Verdict? In essence: Use AI wisely, folks! Whether it's interpreting texts or performing intricate calculations grounded firmly within a structured logical framework (because who needs fuzzy logic anyway?), knowing which tool fits best for each task is crucial. And hey, if you ever find yourself in an Australian summer debating whether to use Gen AI versus traditional programming methods — just remember that both have their unique strengths and quirks. So go forth with your tech adventures confidently! Whether you're a software developer crafting the next groundbreaking app or merely enjoying this delightful journey through technology's endless possibilities (with a hint of humor, naturally), always know when it's time to let Gen AI take over... and sometimes even more importantly — knowing when not to. ```
